Нужен libcups.so.2 линуксовый

Проблемы установки, настройки и работы Правильной Операционной Системы

Модератор: terminus

Правила форума
Убедительная просьба юзать теги [cоde] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-12 17:43:18

2Nick
Подключайся к решению вопроса. Думаю мы эти гробы запустим. Да хоть на Марс =)
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2460 рублей (8 CPU, 8Gb RAM, 2x500Gb HDD, RAID 3ware 9750):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-13 10:22:30

0644 на него chmod поставьте, на ulpt0, отпишите, помогло ли? И что о нём есть в devinfo?
Z301171463546 - можно пожертвовать мне денег

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35071
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Alex Keda » 2008-02-13 10:28:06

и в группу операторов юзера.
большую часть проблем работы с железом снимает само собой
Убей их всех! Бог потом рассортирует...

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-13 13:03:51

0644 не помогает. Ставлю 777. Выше писАл же уже.
От юзера echo ppp > /dev/ulpt0 проходит без ошибок и принтер реагирует.
КУПС печатать не хочет. Всё описал в постах выше.
---
Добавил юзера в группу operators - ничего не изменилось.
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-13 13:12:50

а после этого init 1 то нажимаеш? =)
Z301171463546 - можно пожертвовать мне денег

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-13 13:32:09

zingel писал(а):а после этого init 1 то нажимаеш? =)
Нах?
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-13 13:39:42

*Чё-та башка после вчерашнего тупит*
0644 не помогает
Так у него по дефолту 644 стоит. Добавление в operators всёравно даст права только на чтение -- 644: rw-r--r--
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-13 13:42:30

=) Забыл пару постов назад devinfo добавить:

Код: Выделить всё

          usb0
            uhub0
              ulpt0 pnpinfo vendor=0x04e8 product=0x3413 devclass=0x00 devsubclass=0x00 release=0x0100 sernum="8J66BACXA01825N " intclass=0x07 intsubclass= at port=0 interface=0
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-13 13:47:33

Размышляю.
Принтер реагирует -- значит надо просто послать инфу в нужном формате. Поставил стандартные дрова, т.е. Generic -- PostScript
Щас попробую другие повставлять =)
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-13 13:51:22

Хм... Когда компилился ghostscript-gpl там проскакивал драйвер Samsung -- в настройках КУПСа я его не вижу. Может где-то что-то прописать?
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-13 14:14:32

Всё! Пипец! КУПС на меня обиделся:

Код: Выделить всё

Error:
  Quota limit reached.
Нигде никаких квот не стоит и не ставилось =(
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-14 15:09:11

Какой командой посылаеш на принтер инфо? От какого юзера? Нат ли в логах нечто - cannot allocate memory бла бла бла?
Z301171463546 - можно пожертвовать мне денег

Nick
проходил мимо

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Nick » 2008-02-19 12:42:19

Блин. Задолбался уже. Xerox WC3119 ну ни в какую. Поставил Splix. Принтер получает задание, но выдает пустой лист. И ни одной ошибки в логах. Единственно, что пытаюсь скормить ему драйвера от Samsung'ов ML-1710, 1750... Со всеми то же самое. Идей больше нет. (Ну разве что поставить Ubuntu) :?

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35071
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Alex Keda » 2008-02-19 14:32:20

Nick писал(а):Блин. Задолбался уже. Xerox WC3119 ну ни в какую. Поставил Splix. Принтер получает задание, но выдает пустой лист. И ни одной ошибки в логах. Единственно, что пытаюсь скормить ему драйвера от Samsung'ов ML-1710, 1750... Со всеми то же самое. Идей больше нет. (Ну разве что поставить Ubuntu) :?
дровишьки с неё дёрни
Убей их всех! Бог потом рассортирует...

Аватара пользователя
iZEN
ст. лейтенант
Сообщения: 1087
Зарегистрирован: 2007-09-15 16:45:26
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение iZEN » 2008-02-19 19:32:06

Nick писал(а):Блин. Задолбался уже. Xerox WC3119 ну ни в какую. Поставил Splix. Принтер получает задание, но выдает пустой лист. И ни одной ошибки в логах. Единственно, что пытаюсь скормить ему драйвера от Samsung'ов ML-1710, 1750... Со всеми то же самое. Идей больше нет. (Ну разве что поставить Ubuntu) :?
Поищите файлы PostScript Printer Description (*.PPD) на локальном диске или в Сети для вашего принтера и подсуньте их CUPS'у во время настройки соединения с принтером через Web-интерфейс CUPS'а.
У меня однажды так решилась проблема с принтером HP, правда, впоследствии не повторялась.
GNU/Linux — это не Unix и даже никогда им не был, и, что самое смешное, никогда им не станет — GNU's Not Unix

Nick
проходил мимо

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Nick » 2008-02-20 10:03:00

Пробовал искать и подсовывать. Проблема в том, что родные PPD вызывают линуксовый растеризатор rastertosamsungspl. А вот он то как раз и не хочет работать под фри. А использование растеризатора rastertospl2 из Splix'a выдает в итоге на печать пустой лист. Где то что-то не так. Насколько я понимаю - приложение выдает некоторый поток данных которые приводятся в PS. Затем фильтр PStoRaster переводит их в растр. А уж потом rastertospl2 приводит их к виду который можно скормить принтеру т.е. SPL. Но вот где то в этой цепочке сбой и ... Пустой лист на выходе.

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-20 10:21:22

а чернила в принтере есть? 8)
Z301171463546 - можно пожертвовать мне денег

Аватара пользователя
Adekamer
пингвин
Сообщения: 694
Зарегистрирован: 2007-10-09 18:36:48
Откуда: 127.0.0.1
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Adekamer » 2008-02-20 10:30:20

zingel писал(а):а чернила в принтере есть? 8)
да тупят ребята не по цецки - нужно всего лишь почистить нить коротона и девелопер заменить
ну можно еше фетровый валик фьюза протереть

Аватара пользователя
schizoid
подполковник
Сообщения: 3228
Зарегистрирован: 2007-03-03 17:32:31
Откуда: Украина, Чернигов
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение schizoid » 2008-09-02 11:48:26

так и не решилось шоле?
у мну тоже Самсунг 4х16, таже беда. под гентой сволочь работал :(
ядерный взрыв...смертельно красиво...жаль, что не вечно...

Minotaur
проходил мимо

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Minotaur » 2008-12-11 14:05:52

У меня получилось заставить нормально печатать МФУ Samsung SCX-4125F из-под FreeBSD.

Окружение:
- FreeBSD 7.1-PRERELEASE i386
- linux_base-f8 из портов
- linux-png-1.2.8_2 из портов
- linux-tiff из портов
- linux-jpeg-6b.34 из портов
- linux-xorg-libs-6.8.2_5 из портов
- cups-base-1.3.9_2 из портов
- cups-smb-backend-1.0_1 из портов

Предполагается также, что линуксолятор вкомпилен в ядро/подгружен и работает. Если он работает нормально, то в sysctl можно увидеть версию ядра:

Код: Выделить всё

# sysctl -a|grep linux
hw.snd.compat_linux_mmap: 0
compat.linux.oss_version: 198144
compat.linux.osrelease: 2.6.16
compat.linux.osname: Linux


1. Качаем с официального сайта Samsung драйвера для Linux (Linux Unified Driver). В моем случае файл назывался UnifiedLinuxDriver.tar.gz.

2. Распаковываем:

Код: Выделить всё

# tar -zxf UnifiedLinuxDriver.tar.gz

3. Копируем ppd-файл с драйвером и нужный фильтр в папки CUPSа. Посмотреть, какой именно фильтр нужен, можно в соответствующем Вашему принтеру файлу ppd:

Код: Выделить всё

 # cat cdroot/Linux/noarch/at_opt/share/ppd/scx4x21.ppd |grep Filter
*cupsFilter:  "application/vnd.cups-postscript 0 rastertosamsungspl"
# mkdir /usr/local/share/cups/model/samsung
# cp cdroot/Linux/noarch/at_opt/share/ppd/scx4x21.ppd /usr/local/share/cups/model/samsung/
# cp cdroot/Linux/i386/at_root/usr/lib/cups/filter/rastertosamsungspl /usr/local/libexec/cups/filter/

4. Теперь задача добавить в /compat/linux недостающие либы. Перед тем, как запускать линуксячий бинарник, стОит выполнить команду

Код: Выделить всё

# /compat/linux/sbin/ldconfig
Далее нужно выяснить, каких либ не хватает. Самый простой способ - запускать из командной строки /usr/local/libexec/cups/filter/rastertosamsungspl и смотреть, чего ему не хватает. Подкладывать их в /compat/linux/lib или /compat/linux/usr/lib по одной, и запускать /compat/linux/sbin/ldconfig.
В моем случае не хватало следующих:
libcups.so.2
libcupsimage.so.2
libgnutls.so.13
libgcrypt.so.11
libgpg-error.so.0

Найти и скачать RPM-пакеты для нужного релиза Федоры, в которых есть эти либы, можно с помощью Web-сервиса RPM Search, например http://rpm.pbone.net. Итак, у нас появляется 4 файла rpm:

Код: Выделить всё

# ls -1 *rpm
cups-libs-1.3.4-2.fc8.i386.rpm
gnutls-1.6.3-2.fc8.i386.rpm
libgcrypt-1.2.4-6.i386.rpm
libgpg-error-1.5-6.i386.rpm
Достаем оттуда либы:

Код: Выделить всё

# rpm2cpio cups-libs-1.3.4-2.fc8.i386.rpm | tar -zxf -
# rpm2cpio gnutls-1.6.3-2.fc8.i386.rpm | tar -zxf -
# rpm2cpio libgcrypt-1.2.4-6.i386.rpm | tar -zxf -
# rpm2cpio libgpg-error-1.5-6.i386.rpm | tar -zxf -
Копируем их в /compat/linux:

Код: Выделить всё

# cp -v lib/libgcrypt.so.11.2.3 lib/libgpg-error.so.0.3.1 /compat/linux/lib/
lib/libgpg-error.so.0.3.1 -> /compat/linux/lib/libgpg-error.so.0.3.1
lib/libgcrypt.so.11.2.3 -> /compat/linux/lib/libgcrypt.so.11.2.3
# cp -v usr/lib/libcups* /compat/linux/usr/lib/
usr/lib/libcupsimage.so.2 -> /compat/linux/usr/lib/libcupsimage.so.2
usr/lib/libcups.so.2 -> /compat/linux/usr/lib/libcups.so.2
# cp -v usr/lib/libgnutls.so.13.3.0 /compat/linux/usr/lib/tls/
usr/lib/libgnutls.so.13.3.0 -> /compat/linux/usr/lib/tls/libgnutls.so.13.3.0
# /compat/linux/sbin/ldconfig
5. Если все было сделано правильно, то бинарник фильтра должен нормально запуститься:

Код: Выделить всё

# /usr/local/libexec/cups/filter/rastertosamsungspl
INFO: Usage: rastertosamsungspl job-id user title copies options [file]
ERROR: Wrong number of arguments
6. Далее идем броузером на http://localhost:631/ и подключаем принтер, как обычно.
В разделе Make/Manufacturer должен появиться Samsung, и далее - в разделе
Model/Driver - SCX-4x21 Series.
Далее жмем тестовая страница - должно нормально отработать и вуаля!

Вроде все. Возможно, пропустил что-то, но в принципе суть изложена. Аналогичным образом, я думаю, можно завести любой принтер, если к нему есть нормальные линуксячьи дрова. Главное - правильно подкладывать недостающие либы, и не забывать /compat/linux/sbin/ldconfig.

Удачи!

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35071
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Alex Keda » 2008-12-11 15:01:13

а впортах всего этого нету?
в сымсле либ которыми приходиться систему засирать?
Убей их всех! Бог потом рассортирует...

Minotaur
проходил мимо

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Minotaur » 2008-12-25 13:33:35

lissyara писал(а):а впортах всего этого нету?
в сымсле либ которыми приходиться систему засирать?
Нету. А зачем они там нужны? :) Если так рассуждать, то половину линуксячих РПМов в порты положить прийдется...

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2009-01-12 10:58:03

FreeBSD 7.1 PRERELEASE
В семёрке не собирается - до сих пор пробую ему и то подсунуть, и то. А он знай в /lib/ лезет ему /compat/linux/lib незачем! сцуке...
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Minotaur
проходил мимо

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Minotaur » 2009-01-27 17:34:17

de-signer писал(а):FreeBSD 7.1 PRERELEASE
В семёрке не собирается - до сих пор пробую ему и то подсунуть, и то. А он знай в /lib/ лезет ему /compat/linux/lib незачем! сцуке...
Что не собирается?

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2009-01-29 16:02:13

Не собирается всё воедино.
FreeBSD 7.0 RELEASE
1. Нет linux_base-f8 -- поставил *-f7 (как-то через жопу, но поставилось)
2. sysctl выдаёт osrelease 2.4.2, если задать вручную 2.6.16 -- один хрен не пашет и лезет в /lib
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов